Packages - Bug #1875

[gajim] local account can not connect after upgrade to V1.x.x
2018-07-06 03:37 PM - ani

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

I ran Gajim and signed in with a custom status message, then it popped up an error dialog with this text:

1. Versions
- OS: Parabola GNU/Linux-libre
- GTK+ Version: 3.22.30
- PyGObject Version: 3.28.3
- python-nbxmpp Version: 0.6.6
- Gajim Version: 1.0.3

1. Traceback

Traceback (most recent call last):

File "/usr/lib/python3.6/site-packages/gajim/dialogs.py", line 747, in on_dialog_response
self.on_response(message, self.pep_dict)

File "/usr/lib/python3.6/site-packages/gajim/roster_window.py", line 3601, in on_continue
self.send_status(account, status, message)

File "/usr/lib/python3.6/site-packages/gajim/roster_window.py", line 2114, in send_status
self.send_status_continue(account, status, txt, auto, to)

File "/usr/lib/python3.6/site-packages/gajim/roster_window.py", line 2163, in send_status_continue
app.connections[account].change_status(status, txt, auto)

File "/usr/lib/python3.6/site-packages/gajim/common/connection.py”, line 653, in change_status
self._update_status(show, msg, idle_time=idle_time)

File "/usr/lib/python3.6/site-packages/gajim/common/zeroconf/connection_zeroconf.py”, line 312, in update_status
if self.connection.set_show_msg(show, msg):

File "/usr/lib/python3.6/site-packages/gajim/common/zeroconf/client_zeroconf.py”, line 661, in set_show_msg
return self.zeroconf.update_txt(show)

File "/usr/lib/python3.6/site-packages/gajim/common/zeroconf/zeroconf_avahi.py", line 471, in update_txt
ixt = self.avahi_txt()

File "/usr/lib/python3.6/site-packages/gajim/common/zeroconf/zeroconf_avahi.py", line 255, in avahi_txt
return self.avahi.dict_to_txt array(self.txt)

File "/usr/lib/python3.6/site-packages/avahi/_init__.py", line 128, in dict_to_txt_array
l.append(string_to_byte_array(b"%s=%s" % (k,v)))

TypeError: %b requires a bytes-like object, or an object that implements bytes, not 'int'

1. Steps to reproduce the problem

History

#1 - 2018-07-06 03:55 PM - bill-auger
- Status changed from open to info needed
this comes from [community]

i think those omitted "Steps to reproduce the problem" could be very important here - what does this mean to "sign in with a custom status message"?
- is it possible to sign ing "without" a custom status message?

#2 - 2018-07-06 03:57 PM - ani
bill-auger

Not that | can see.
https://labs.parabola.nu/users/282

#3 - 2018-07-06 04:00 PM - bill-auger

i just do not understand what does this mean to "sign in with a custom status message"?
why did you not simply say: "i signed in" ?
if this status message is a mandatory part of signing in then why was it important to mention it?

#4 - 2018-07-06 04:42 PM - ani

I'm still having the problem.

#5 - 2018-07-06 04:57 PM - freemor

| have tried gajim with several custom status messages.
| can not reproduce.

This suggests to me that the issue is with:
1 - Your setup

- Or -

2 - The status message you set
Please provide more info

#6 - 2018-07-06 05:42 PM - ani

- File Screenshot_2018-07-06_18-41-16.png added
- File Screenshot_2018-07-06_18-40-53.png added

#7 - 2018-07-06 06:38 PM - freemor

O.k. Since that status message looks perfectly normal it seems it's option 1 we need to Dx.
First lets rule out a messed up plugin. Please set all plugins inactive via

gajim -> plugins -> uncheck all the boxes

then re-launch gajim and try setting the status.

#8 - 2018-07-06 06:40 PM - ani

That still does not work. | get a crash report even if the plugins are disabled.

#9 - 2018-07-06 07:04 PM - freemor

Ok, then you can turn those back on..

since there is a lot of mention of zeroconf and since | know this aspect hasn't been working like it should since the last upgrade, please try:
gajim -> accounts and disable the "local" account

then try setting the status

#10 - 2018-07-06 07:06 PM - ani
That worked! Thanks! :)

#11 - 2018-07-07 08:57 AM - bill-auger

so is this bug reproducible? what are the steps to reproduce this bug?

#12 - 2018-07-07 11:19 AM - freemor

| was unable to reproduce the same crash that the OP was experiencing. even after several attempts.

| noted the references to zeroconf in the debug output and deduced that the problem was most likely with the 'local’ (a.k.a. zeroconf) account.

| also suspected this because since gajim moved to V1.x.x the 'local' account on my machines refuses to go "online" (which is a weird nominclature
for a serverless account).

Deactivating the account seems to be a good work-around for the issue given that | suspect that very few people use that feature.

| did not check with th OP about his avahi set-up. which might be part of the issue as avahi is an optional depend and thus might not be
installed/set-up on the OPs machine

If it feels important to get this sorted I'd suggest re-naming this issue to something like "local account doesn't work properly after upgrade to V1.x.x"
The same issue exists in my wifes Arch machine so it is not a Parabola specific problem. The local account worked fine on my Machine and my wifes
before the move to 1.x.x. So it is definitely something that was introduces then.

#13 - 2018-07-07 11:40 AM - bill-auger

ok - so becuase this packages comes from arch, the main thing i would be trying to determine is if this bug exists in arch - if you say it does then there
is nothing more for us to do other than to forward it to the arch packager and make this issue as "forwarded upstream" until it is fixed

i have never used this program before so my install is fresh from 'gajim-1.0.3-2' - when i try to put the "local" account online it fails and i get a desktop
notification:

could not start local service - please check if avahi-deamon is running?

#14 - 2018-07-07 11:56 AM - ani

How exactly do | setup avahi?

#15 - 2018-07-07 11:56 AM - freemor

yes that is the same message that show up om my wifes Arch machine (which has avahi installed and configured)
It worked fin on both Arch and Parabola prior to 1.x.x

#16 - 2018-07-07 12:13 PM - bill-auger

- Subject changed from [gajim] crash to [gajim] local account can not connect after upgrade to V1.x.x

#17 - 2018-07-07 12:15 PM - bill-auger

freemor -

do you have an account on the arch bug tracker - i looked for similar bugs but there are none - could you report it?

%5B%5D= &status%SB%SD ooen&oercent%5B%5D &ooened &dev=_&closed= &duedatefrom &duedateto= &chanqedfrom &changedto=&openedfr

om=&openedto=_&closedfrom=_&closedto=&do=index

#18 - 2018-07-07 01:06 PM - freemor

Nope. But | suppose | could make one easy enough.
Is the standard protocol to create a similarly named bug and then reference this thread?

#19 - 2018-07-07 01:19 PM - bill-auger

i dont know if there is a protocol but thats what i would do

#20 - 2018-07-07 01:40 PM - freemor

Done. Now exists there as:

https://bugs.archlinux.org/task/59259

#21 - 2018-07-07 03:13 PM - bill-auger

- Status changed from info needed to forwarded upstream

#22 - 2018-07-12 11:43 AM - freemor

I've been following this on the Arch tracker.
After an initial question about the state on Avahi the bug was assinged to: Ball6 Gyérgy (City-busz)

The last comment by the assignee was:

Comment by Balld Gydrgy (City-busz) - Wednesday, 11 July 2018, 16:11 GMT
Please report to upstream:

https://dev.gajim.org/gajim/gajim/issues

The issue was then closed on the Arch tracker reason: Upstream

I've checked on: https://dev.gajim.org/gajim/gajim/issues But see no sign of the bug reported there which leaves me wondering if they (Arch) wanted
me to report it upstream.
https://bugs.archlinux.org/index.php?string=gajim&project=1&type%5B%5D=&sev%5B%5D=&pri%5B%5D=&due%5B%5D=&reported%5B%5D=&cat%5B%5D=&status%5B%5D=open&percent%5B%5D=&opened=&dev=&closed=&duedatefrom=&duedateto=&changedfrom=&changedto=&openedfrom=&openedto=&closedfrom=&closedto=&do=index
https://bugs.archlinux.org/index.php?string=gajim&project=1&type%5B%5D=&sev%5B%5D=&pri%5B%5D=&due%5B%5D=&reported%5B%5D=&cat%5B%5D=&status%5B%5D=open&percent%5B%5D=&opened=&dev=&closed=&duedatefrom=&duedateto=&changedfrom=&changedto=&openedfrom=&openedto=&closedfrom=&closedto=&do=index
https://bugs.archlinux.org/index.php?string=gajim&project=1&type%5B%5D=&sev%5B%5D=&pri%5B%5D=&due%5B%5D=&reported%5B%5D=&cat%5B%5D=&status%5B%5D=open&percent%5B%5D=&opened=&dev=&closed=&duedatefrom=&duedateto=&changedfrom=&changedto=&openedfrom=&openedto=&closedfrom=&closedto=&do=index
https://bugs.archlinux.org/task/59259
https://dev.gajim.org/gajim/gajim/issues

#23 - 2018-07-12 01:09 PM - freemor

Out of curiosity and some free time decided to debug this a bit further.. with verbose output on one sees:

2018-07-12 09:02:08 (D) gajim.c.z.zeroconf_avahi To make asynchronous calls, receive signals or export objects
, D-Bus connections must be attached to a main loop by passing mainloop=... to the constructor or calling dbus
.set_default_main_loop(...)

2018-07-12 09:02:08 (I) gajim.c.z.client_zeroconf Disconnecting Zeroconflistener:

So yep looks like the dbus communications from gajim <-> dbus may be hosed in this version.

I'm going to see if there is a git/devel version to see if the issue has been fixed already before reporint it further upstream.

#24 - 2019-01-24 02:13 AM - freemor

- Status changed from forwarded upstream to fixed

Working in Gajim V1.1.2 so closing this as fixed.
